Updates an external commission using its external commission guid.
Responses
-
Successfully updated an external commission.
-
Invalid request. See response body for details.
-
Unauthorized request. See response body for details.
-
Permission denied. See response body for details.
-
External commission not found.
-
Optimistic concurrency check failed. The If-Match header is missing or it does not contain the version currently in the database.
-
Unknown error. See response body for details.
PATCH
/external-commissions/{externalCommissionId}
curl \
--request PATCH 'http://api.example.com/external-commissions/{externalCommissionId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"id":"string (UUID)","externalAgentId":"string (UUID)","endCode":"string","payBroker":"boolean","amount":"number (float)","percentage":"number (float)","calculationMethod":"string"}'
Request example
{
"id": "string (UUID)",
"externalAgentId": "string (UUID)",
"endCode": "string",
"payBroker": "boolean",
"amount": "number (float)",
"percentage": "number (float)",
"calculationMethod": "string"
}
Response examples (200)
{}
Response examples (404)
{
"code": 42,
"message": "string",
"details": [
"string"
]
}